#include "mpe.h"
#include "mpi.h"

#ifndef min
#define min(x, y) ((x) < (y) ? (x) : (y))
#endif
#ifndef max
#define max(x, y) ((x) > (y) ? (x) : (y))
#endif

/*
#define  DIVERGENCE 1000.0
#define  MAXITER  238 */
#define  DIVERGENCE 1000.0
#define  MAXITER  1000

typedef struct BlHeader
{
	int StartRow;
	int nRows;
}
Header_t;

typedef struct
{
	double       real;
	double       imag;
}
Complex_t;

typedef struct _Winspecs
{
	int  height, width; /* size of the window */
	int  bw;  /* whether to draw in black&white */
	int  xpos, ypos; /* position of the window */
	int  numColors; /* number of colors to use */
	MPE_Color *colorArray; /* colors */
	MPE_XGraph graph;
}
Winspecs;


typedef struct
{
	int         CurrentLine;
	int     nRows;
	int         PicWidth;
	int         PicHeight;
	Complex_t   cStart;
	Complex_t   cStep;
}
Parameter_t;

int InitGraphics(Winspecs*);
int calculate(MPE_Point*, Winspecs*);

